package com.iamberry.wechat.face.flow;

import java.util.List;

import com.iamberry.wechat.core.entity.flow.TemplateInfo;


/**
 * 返利流程模板
 * @author ouyang
 * @date 2016-7-4
 */
public interface TemplateInfoService {

	//获取模板的下拉框选择框
	public List<TemplateInfo> getSelectTemplateInfo();
	
	/**
	 * 按条件获取模板列表
	 * @param templateInfo
	 * @return
	 * @author liuzhiwei
	 */
	public List<TemplateInfo> getTemplateList(TemplateInfo templateInfo);
	
	/**
	 * 按条件获取模板数据数量
	 * @param templateInfo
	 * @return
	 * @author liuzhiwei
	 */
	public Integer getTemplateCount(TemplateInfo templateInfo);
	
	/**
	 * 添加模板数据
	 * @param templateInfo
	 * @return
	 * @author liuzhiwei
	 */
	public Integer addTemplateInfo(TemplateInfo templateInfo);
	
	/**
	 * 根据模板id查询模板信息
	 * @param templateInfo
	 * @return
	 * @author liuzhiwei
	 */
	public TemplateInfo getTemplateInfoById(TemplateInfo templateInfo);
	
	/**
	 * 修改流程模板信息
	 * @param templateInfo
	 * @return
	 * @author liuzhiwei
	 */
	public Integer updateTemplateInfo(TemplateInfo templateInfo);
	
}
